<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="LMN.Web.wap.user_orderinfo" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="LMN.Common" %>


<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by LMN Template Engine at 2012/3/1 20:38:22.
		本页面代码由LMN模板引擎生成于 2012/3/1 20:38:22. 
	*/

	base.OnInit(e);

	templateBuilder.Capacity = 220000;
	templateBuilder.Append("<?xml version=\"1.0\" encoding=\"utf-8\" ?><!DOCTYPE html PUBLIC \"-//WAPFORUM//DTD XHTML Mobile 1.0//EN\" \"http://www.wapforum.org/DTD/xhtml-mobile10.dtd\">\r\n<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n<head>\r\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n<title>");
templateBuilder.Append(Config.SiteName);
templateBuilder.Append(" | 我的和网</title>\r\n<meta content=\"");
templateBuilder.Append(Config.SiteName);
templateBuilder.Append(" - 网上购物,好信誉,好服务,好产品,低价格,让你全面安心享受网上购物乐趣！\" name=\"description\" />\r\n<meta content=\"和网,商城,手机,笔记本,保健品\" name=\"keywords\" />\r\n<link type=\"text/css\" rel=\"stylesheet\" href=\"/themes/wap/style.css\" />\r\n</head>\r\n<body>\r\n");
	templateBuilder.Append("<div class=\"adtop\">\r\n    <a href=\"/index.aspx\">首页</a> ");
if (session.user==null)
{

	templateBuilder.Append("<a href=\"/login.aspx\">登录</a> <a href=\"/register.aspx\">注册</a>");
}
else
{

	templateBuilder.Append("<a href=\"user.aspx\">我的和网</a>");
}//end if

	templateBuilder.Append(" <a href=\"/cart.aspx\">购物车(<span class=\"red\">");
templateBuilder.Append(session.cart.num);
templateBuilder.Append("</span>)</a>\r\n</div>\r\n");

	templateBuilder.Append("\r\n<p>订单号：");
templateBuilder.Append(O.no);
templateBuilder.Append(" 状态:");
templateBuilder.Append(OrderState(O.state));
templateBuilder.Append("<br />\r\n【订单详情】<br />\r\n包含商品: ");
if (O.items != null){ // !null
var item__loop__id=0;
foreach(order_item item in O.items)
{
item__loop__id++;

	templateBuilder.Append("<a href=\"detail.aspx?id=");
templateBuilder.Append(item.goods_id);
templateBuilder.Append("&item=");
templateBuilder.Append(item.item_id);
templateBuilder.Append("\">");
templateBuilder.Append(item.name);
templateBuilder.Append("(");
templateBuilder.Append(item.color);
if (!String.IsNullOrEmpty(item.size))
{

	templateBuilder.Append(",");
templateBuilder.Append(item.size);
}//end if

	templateBuilder.Append(",");
templateBuilder.Append(item.num);
templateBuilder.Append(")</a>");
if (item__loop__id>0)
{

	templateBuilder.Append(",");
}//end if


}//end loop
}//end if

	templateBuilder.Append("<br />\r\n订单金额: ￥");
templateBuilder.Append(O.total);
templateBuilder.Append("<br />\r\n收货人姓名: ");
templateBuilder.Append(O.addr.name);
templateBuilder.Append("<br />\r\n收货地址: ");
templateBuilder.Append(O.addr.addr);
templateBuilder.Append("<br />\r\n--------------<br />\r\n要了解更多请咨询<a href=\"wtai://wp/mc;4008888888\">4008-888-888(点击拨打)</a><br />\r\n<a href=\"/user_order.aspx\">查看我的订单</a></p>\r\n");
	templateBuilder.Append("<p>\r\n    还没账号?免费<a href=\"register.aspx\">注册</a><br />\r\n    和网:waphe.com<a href=\"/help/favor.aspx\">(存书签)</a></p>");

	templateBuilder.Append("\r\n</body>\r\n</html>\r\n");
	Response.Write(templateBuilder.ToString());
}
</script>
